BCMSTBPINCTRL(4)

NAME
bcmstbpinctrl - Broadcom Set-top Box pin multiplexing

SYNOPSIS
bcmstbpinctrl* at fdt?

DESCRIPTION
The bcmstbpinctrl driver uses pin control data from the device tree to select one of multiple possible roles available for pins on Broadcom Set-top Box SoCs. This includes the Broadcom BCM2712 SoC that is used in the Raspberry Pi 5. It does not provide direct device driver entry points but makes its functions available to other drivers.

SEE ALSO
intro(4)

HISTORY
The bcmstbpinctrl driver first appeared in OpenBSD 7.8.

AUTHORS
-nosplit The bcmstbpinctrl driver was written by Mark Kettenis <kettenis@openbsd.org>.